org.apache.solr.request.json

## Class ObjectUtil.ConflictHandler

- java.lang.Object
- - org.apache.solr.request.json.ObjectUtil.ConflictHandler

- Enclosing class:
    ObjectUtil

      public static class ObjectUtil.ConflictHandler
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConflictHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `append(List lst, Object current)`
    `void` | `handleConflict(Map<String,Object> container, List<String> path, String key, Object current, Object previous)`
    `protected boolean` | `isList(Map<String,Object> container, List<String> path, String key, Object current, Object previous)`
    `protected Object` | `makeList(Object current, Object previous)`
    `void` | `mergeMap(Map<String,Object> targetMap, Map<String,Object> srcMap, List<String> path)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConflictHandler

          public ConflictHandler()

  - ### Method Detail

    - #### isList

          protected boolean isList(Map<String,Object> container,
                                   List<String> path,
                                   String key,
                                   Object current,
                                   Object previous)

    - #### handleConflict

          public void handleConflict(Map<String,Object> container,
                                     List<String> path,
                                     String key,
                                     Object current,
                                     Object previous)

    - #### mergeMap

          public void mergeMap(Map<String,Object> targetMap,
                               Map<String,Object> srcMap,
                               List<String> path)

    - #### makeList

          protected Object makeList(Object current,
                                    Object previous)

    - #### append

          protected void append(List lst,
                                Object current)

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.